Core API endpoints that list records are returned in chronological order, with the earliest created
resource showing up first. You may optionally provide the following pagination parameters to limit the
returned records.
Props
ISO 8601 formatted date (YYYY-MM-DD) to filter for records created on or after the date provided.
ISO 8601 formatted date (YYYY-MM-DD) to filter for records created on or before the date provided.
The page number to return.
The ID of a resource from which a page should start or end. Mutually exclusive with page.
The number of records to return per page. Default and maximum is 100.
Returns
Returns a list of the requested resource with the applied pagination. Additionally, the following headers are returned with the response:
| Key | Description |
|---|
Pagination-Page | The current page. |
Pagination-Page-Count | The total number of pages available. |
Pagination-Page-Limit | The number of records to return per page. |
Pagination-Total-Count | The total number of records matching the request. |
Pagination-Page-Cursor-Prev | The previous page cursor. |
Pagination-Page-Cursor-Next | The next page cursor. |
curl "https://production.methodfi.com/payments?page_limit=1&to_date=2020-12-10" \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const payments = await method.payments.list({
page_limit: 1,
to_date: '2020-12-10',
});
payments = method.payments.list({
'page_limit': 1,
'to_date': '2020-12-10'
})
{
"data": [
{
"id": "pmt_rPrDPEwyCVUcm",
"reversal_id": null,
"source_trace_id": null,
"destination_trace_id": null,
"source": "acc_JMJZT6r7iHi8e",
"destination": "acc_AXthnzpBnxxWP",
"amount": 5000,
"description": "Loan Pmt",
"status": "pending",
"error": null,
"metadata": null,
"estimated_completion_date": "2020-12-11",
"source_settlement_date": "2020-12-09",
"destination_settlement_date": "2020-12-11",
"created_at": "2020-12-09T00:42:31.209Z",
"updated_at": "2020-12-09T00:43:30.996Z"
}
]
}